Error
A valid request URL is required to generate request examples{
"enabled": true,
"type": "http",
"url": "<string>",
"username": "<string>",
"password": "<string>",
"no_proxy": "<string>",
"timeout": 123,
"skip_tls_verify": true,
"enable_for_scim": true,
"enable_for_inference": true,
"enable_for_api": true
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "openai",
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "openai",
"model_requested": "<string>",
"request_type": "<string>"
}
}Configuration
Get proxy configuration
Retrieves the current global proxy configuration.
GET
/
api
/
proxy-config
Error
A valid request URL is required to generate request examples{
"enabled": true,
"type": "http",
"url": "<string>",
"username": "<string>",
"password": "<string>",
"no_proxy": "<string>",
"timeout": 123,
"skip_tls_verify": true,
"enable_for_scim": true,
"enable_for_inference": true,
"enable_for_api": true
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "openai",
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "openai",
"model_requested": "<string>",
"request_type": "<string>"
}
}Authorizations
ManagementBearerAuthBasicAuth
Management API authentication for /api/* endpoints. Use the Authorization header
with Bearer <token>, where <token> is one of:
- a Bifrost management API key,
- a dashboard session token issued by
POST /api/session/login, - base64 of
<admin-username>:<admin-password>(legacy equivalent ofBasicAuth).
Virtual keys (sk-bf-*) and the x-api-key header are not accepted on management APIs -
the sole exception is GET /api/governance/virtual-keys/quota, which is virtual-key-only.
Response
Successful response
Was this page helpful?

